Subject: Re: [PATCH v7 06/17] hook: implement hookcmd.<name>.skip

From: Jonathan Tan <[email-masked]>
Date: Sat, 30 Jan 2021 19:40:30 -0800

> If a user wants a specific repo to skip execution of a hook which is set
> at a global or system level, they can now do so by specifying 'skip' in
> their repo config:

Usually the present tense describes the situation before the commit, so
maybe s/they can now do so/they will be able to do so/.

> -static void append_or_move_hook(struct list_head *head, const char *command)
> +static struct hook* find_hook_by_command(struct list_head *head, const char *command)

"* " -> " *"

[snip tests]

For the tests, I thought of the case in which we skip a hookcmd that was
never specified as a hook, but that's probably not very useful.